#!/bin/sh

set -x

modprobe i2c_i801

echo "24c256 0x57" | tee /sys/bus/i2c/devices/i2c-6/new_device
echo "am1805 0x69" | tee /sys/bus/i2c/devices/i2c-6/new_device
echo "lm75b 0x48" | tee /sys/bus/i2c/devices/i2c-6/new_device
echo "pca9535 0x22" | tee /sys/bus/i2c/devices/i2c-6/new_device

unlink /dev/rtc
ln -s /dev/rtc1 /dev/rtc
